16. CMC-CAU GIAY-HN - Task #1406

Renew SSL Vcenter 10.80.101.20
07-01-2025 16:08 - Hi€u Nguyén Phung

Trang thai: Closed Bat dau:
Muc uu tién: Normal Hét han:
Phan céng cho: Hi€u Nguyén Phung Tién do:

Chu dé:

Phién ban:

luong:

Thoi gian udc

Thoi gian:

07-01-2025

0%
0:00 gid

0:00 gid

Mo ta
Van dé:

10.80.101.20

Subject Name

Common Name
Country

Issuer Name

Common Name

Country
State/Province
Organization
Organizational Unit

10.80.101.20
us

CA

vsphere

local

us

California
photon-machine
VMware Engineering

Validity

Mot Before
Mot After

Fri, 03 Feb 2023 03:48:58 GMT
Sun, 02 Feb 2025 15:48:58 GMT

Subject Alt Names

IP Address

Public Key Info

Algarithm
Key Size
Exponent
Modulus

02-04-2025

10.80.101.20

RSA
2048
65537

C:38:99:85:4A:5B:17:69:39:43:6F.FO:DO4EBS.8F 1 A9T.98:.A1:5D:7533:1F5AAT...
Thong tin vcenter:
10.80.101.20
administrator/ i=84976GYTPGxok

Théng tin vm vcenter:
Cac budc thuc hién:

Budc 1: Thuc hién backup VM vCenter trudc khi thao tac
VM dang luu trén host proxmox nén sé add backup trén proxmox

Budc 2: Sau khi Backup xong, két ndi SSH vao VM Vcenter dé€ kiém tra thoi gian certificate
cd /tmp: python checksts.py

erib/vmwar

St dung Iénh: /u
root@photon— in 1# DV

e-vmafd/bin/vecs-cli entry list --store vpxd-extension --text
pY
roct@photon-machine [ ] fasr/lib/vmware-vmafd,/bin/vecs-cli entry list --store
vpxd-extension —-text
Number of entries in store
] vpxd-extension
Private Eey

3 (0=2)
Number:
doiebid4:47:1
ignature Algorithm:

CH=CL, DC= h WC=1local C=U5, 5T=California, C-photon-machi

idity

Not Before:

Not After (]

ject: CH=vpx nsion WC=, h WC=1local, C=05, OU=mID-dd083581-

Blgorithm:

2048
(=}
o bt -d

oM 0
wom

o]
(LN FE R )
S SR R e ]
0,
woow

m

HLS)

21
3

Budc nay c6 thé check trén web

Buéc 3:
S dung Iénh: echo | openssl s_client -connect 10.80.101.20:443 dé kiém tra thong tin SSL Certificate cla vcenter:

Luu lai théng tin dé trong qué trinh renew sé sir dung dén

Budc 4: Cau hinh file Certool.cfg: d&i IP: 10.80.101.20
Vao dudng dan /usr/lib/vmware-vmca/share/config
Trudc khi cau hinh can coppy 1 file backup

ry is n
= U5

= L&
Budc 5: Tién hanh renew Certificate cho vcenter:
St dung Iénh: /usr/lib/vmware-vmca/bin/certificate-manager dé hién thi cac option lién quan dén cai certificate
Ki€m tra: PSC va VCENTER cai chung ( internal PSC).

Buéc 6:

Chon option 8 dé reset toan bd certificate cé trén vcenter:
dién céc thong tin quan trong nhu:

IP: IP MGT cUa vcenter

10.80.101.20
Domain chinh la: hostname -f

® Dam bao cac thong tin dién chinh xac trudc khi xadc nhan renew
e Backup VM Vcenter\

Sau khi renew xong:
Certiticate

10.80.101.20

Subject Name

Common Name
Country
State/Province
Locality
Organization
Organizational Unit

Issuer Name

Common Name

Country
State/Province
Organization
Organizational Unit

Validity

10.80.101.20

us

California

Palo Alto

VMware

WVMware Engineering

10.80.101.20

vsphere

local

us

California
photon-machine
VMware Engineering

Not Before
MNot After

Sun, 19 Jan 2025 14:44:13 GMT
Tue, 19 Jan 2027 14:44:13 GMT

Subject Alt Names

Email Address
IP AdAdracc

email@acme.com
1N an1n 2n

Lugc su

#1 - 07-01-2025 16:24 - Hiéu Nguyén Phung

- M6 ta cdp nhét

#2 - 07-01-2025 16:25 - Hiéu Nguyén Phung

- M6 ta cdp nhéat

#3 - 07-01-2025 16:35 - Hiéu Nguyén Phung
- Tép tin clipboard-202501071633-wt6vc.png dugc thém

- M6 ta cap nhét

#4 - 08-01-2025 10:02 - Hi€u Nguyén Phung

- M6 ta cap nhét

#5 - 09-01-2025 09:00 - Hi€u Nguyén Phung

- M6 ta cap nhét

#6 - 09-01-2025 09:03 - Hi€éu Nguyén Phung

- M6 ta cap nhét
#7 - 09-01-2025 09:10 - Hi€u Nguyén Phung
- Tép tin clipboard-202501090910-q0huq.png dugc thém

- M6 td cdp nhéat

#8 - 09-01-2025 09:11 - Hi€u Nguyén Phung
- Tép tin clipboard-202501090911-hkqzn.png dugc thém
- Tép tin clipboard-202501090911-uudfl.png dugc thém

- M6 td cdp nhét

#9 - 09-01-2025 09:25 - Hi€u Nguyén Phung
- Tép tin clipboard-202501090924-elijv.png dugc thém

- M6 ta cdp nhéat

#10 - 13-01-2025 09:42 - Hiéu Nguyén Phung

- M6 td cdp nhéat

#11 - 19-01-2025 22:24 - Hi€u Nguyén Phung
- Tép tin clipboard-202501192224-z012u.png dugc thém
- M6 ta cap nhét

#12 - 04-02-2025 09:23 - Hiéu Nguyén Phung
- Trang thai thay do6i tir In Progress téi Closed

Tap tin

clipboard-202501071608-pfzbl.png
clipboard-202501071633-wt6vc.png
clipboard-202501090910-q0hug.png
clipboard-202501090911-hkqgzn.png
clipboard-202501090911-uudfl.png
clipboard-202501090924-elijv.png
clipboard-202501192224-z012u.png

02-04-2025

35,7 KB
71,9 KB

73 KB
17,9 KB
55,4 KB
9,84 KB
40,6 KB

07-01-2025
07-01-2025
09-01-2025
09-01-2025
09-01-2025
09-01-2025
19-01-2025

Hi€u Nguyén Phiing
Hi€u Nguyén Phiing
Hi€u Nguyén Phiing
Hi€u Nguyén Phiing
Hi€u Nguyén Phlng
Hi€u Nguyén Phlng
Hi€u Nguyén Phlng
